function statusStr = sodaSspGetStatus(varargin)

if nargin == 0
    statusFile = fullfile(pwd,'status.txt');
else
    iWorker = varargin{1};    
    statusFile = fullfile(pwd,['worker',sprintf('%03d',iWorker)],'status.txt');
end

fid = fopen(statusFile,'rt');
statusStr = fread(fid,1,'uint8=>char')';
fclose(fid);



